// This is a misnomer, TODO (atlassian client)
class AtlassianClient {
  constructor() {
    this._config = {}
  }

  configure(blk) {
    blk(this._config)
  }

  fetchWiki(path, options = {}) {
    if (!this._config.wikiUrl) {
      return Promise.reject("Confluence client is not configured, you must set a Wiki URL!")
    }

    return this._fetch(this._config.wikiUrl + path, options)
  }

  fetchJira(path, options = {}) {
    if (!this._config.jiraUrl) {
      return Promise.reject("Confluence client is not configured, you must set a JIRA URL!")
    }

    return this._fetch(this._config.jiraUrl + path, options)
  }

  _fetch(url, options) {
    return fetch(url,
      Object.assign(options, { credentials: 'include' })
    ).then(response => {
      if (response.ok) {
        return response.json()
      } else {
        let error = new Error(response.statusText)
        error.response = response
        throw error
      }
    })
  }
}

const client = new AtlassianClient()
export default client
