export default class Store {
  constructor() {
    this.listeners = []
    this.state = {}
  }

  subscribe(listener) {
    this.listeners.push(listener)
    listener(this.state)

    // unsubscribe
    return () => {
      let index = this.listeners.indexOf(listener)
      this.listeners.splice(index, 1)
    }
  }

  set(key, data) {
    this.state[key] = data

    for (let listener of this.listeners) {
      listener(this.state)
    }
  }
}

//const store = new Store()
// export default store
