import AtlassianClient from '../AtlassianClient'
import querystring from 'querystring'

import Store from './Store'

class UserStore extends Store {
  getAvatar(user) {
    let params = querystring.stringify({ username: user.name })

    return AtlassianClient.fetchJira(`/user?${params}`).
      then(data => data.avatarUrls['48x48']).
      then(avatar => this.set(user.name, avatar)).
      catch(error => console.log(error))
  }
}

const store = new UserStore()
export default store
